ObexCode Logo ObexCode Logo

Phone Model API

The ObexCode Phone Model API is used to handle all information about Phone Vendors and Phone Models.

REST Endpoints

The following REST endpoints are used by the Phone Model API

API Endpoint Supported Operations
Vendor http://api.obexcode.com/v2/phones/vendors/ GET
Model http://api.obexcode.com/v2/phones/vendors/models/ GET

Authentication

The Phone Model API is not protected and does not require any authentication

Vendors API

The following REST endpoints are used by the Vendors API

http://api.obexcode.com/v2/phones/vendors/

Get list of all vendors

Request:

GET /v2/phones/vendors/ HTTP/1.1
Host: api.obexcode.com
Content-Type: application/atom+xml
Accept: application/atom+xml

Response:

<feed xmlns="http://www.w3.org/2005/Atom">
  <id>http://api.obexcode.com/v2/phones/vendors</id>
  <link href="http://api.obexcode.com/v2/api/phones/vendors/all.xml" rel="self" />
  <link href="http://api.obexcode.com/v2/api/phones/vendors" rel="alternate" type="text/html" />
  <title>SyncServer Mobile Phone Vendors</title>
  <entry>
    <content type="text">Nokia</content>
    <id>urn:uuid:64984770-1d9b-11dc-b57f-0011d8f5c77a</id>
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a" rel="self" />
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a/edit" rel="edit" />
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a" rel="alternate" type="text/html" />
    <title>Nokia</title>
  </entry>
  ...
  <entry>
    <content type="text">Sony Ericsson</content>
    <id>urn:uuid:64984770-1d9b-11dc-bc37-0011d8f5c77a</id>
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-bc37-0011d8f5c77a" rel="self" />
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-bc37-0011d8f5c77a/edit" rel="edit" />
    <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-bc37-0011d8f5c77a" rel="alternate" type="text/html" />
    <title>Sony Ericsson</title>
  </entry>
</feed>

Get a particular vendor

Request:

GET /v2/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a HTTP/1.1
Host: api.obexcode.com
Content-Type: application/atom+xml
Accept: application/atom+xml

Response:

<entry xmlns="http://www.w3.org/2005/Atom">
  <content type="text">Nokia</content>
  <id>urn:uuid:64984770-1d9b-11dc-b57f-0011d8f5c77a</id>
  <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a" rel="self" />
  <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a/edit" rel="edit" />
  <link href="http://api.obexcode.com/v2/api/phones/vendors/64984770-1d9b-11dc-b57f-0011d8f5c77a" rel="alternate" type="text/html" />
  <title>Nokia</title>
</entry>

Models API

The following REST endpoints are used by the Models API

http://api.obexcode.com/v2/phones/vendors/models/

Get list of all models

Request:

GET /v2/phones/vendors/models/ HTTP/1.1
Host: api.obexcode.com
Content-Type: application/atom+xml
Accept: application/atom+xml

Response:

<feed xmlns="http://www.w3.org/2005/Atom">
  <id>http://api.obexcode.com/v2/api/phones/vendors/models</id>
  <link href="http://api.obexcode.com/v2/phones/vendors/models/all.xml" rel="self" />
  <link href="http://api.obexcode.com/v2/phones/vendors/models" rel="alternate" type="text/html" />
  <title>SyncServer Supported Models</title>
  <entry>
    <uuid xmlns="http://schemas.obexcode.com/syncserver/2009">dbd2378a-f114-11dd-8837-000e0cc4a82b</uuid>
    <image_url xmlns="http://schemas.obexcode.com/syncserver/2009" />
    <content type="text">1680 Classic</content>
    <id>urn:uuid:dbd2378a-f114-11dd-8837-000e0cc4a82b</id>
    <link href="http://api.obexcode.com/v2/phones/vendors/models/dbd2378a-f114-11dd-8837-000e0cc4a82b" rel="self" />
    <link href="http://api.obexcode.com/v2/phones/vendors/models/dbd2378a-f114-11dd-8837-000e0cc4a82b" rel="edit" />
    <link href="http://api.obexcode.com/v2/phones/vendors/models/dbd2378a-f114-11dd-8837-000e0cc4a82b" rel="alternate" type="text/html" />
    <title>1680 Classic</title>
  </entry>
  <entry>
    <uuid xmlns="http://schemas.obexcode.com/syncserver/2009">5afcb5d6-f114-11dd-ab33-000e0cc4a82b</uuid>
    <image_url xmlns="http://schemas.obexcode.com/syncserver/2009" />
    <content type="text">2323 Classic</content>
    <id>urn:uuid:5afcb5d6-f114-11dd-ab33-000e0cc4a82b</id>
    <link href="http://api.obexcode.com/v2/phones/vendors/models/5afcb5d6-f114-11dd-ab33-000e0cc4a82b" rel="self" />
    <link href="http://api.obexcode.com/v2/phones/vendors/models/5afcb5d6-f114-11dd-ab33-000e0cc4a82b" rel="edit" />
    <link href="http://api.obexcode.com/v2/phones/vendors/models/5afcb5d6-f114-11dd-ab33-000e0cc4a82b" rel="alternate" type="text/html" />
    <title>2323 Classic</title>
  </entry>
  ...
</feed>

Get list of all models for particular vendor